Bug 7892 - on staged marc record management open in tab
Summary: on staged marc record management open in tab
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact:
URL: /cgi-bin/koha/tools/manage-marc-impor...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 17:27 UTC by Nicole C. Engard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7892: Open link to imported record in new tab (1.49 KB, patch)
2013-04-14 15:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7892: Open link to imported record in new tab (1.58 KB, patch)
2013-04-16 14:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7892: Open link to imported record in new tab (1.64 KB, patch)
2013-06-05 09:28 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-03 17:27:05 UTC
A system preference or a new default might be nice on the staged marc record management page when clicking on the bib number. I always train people ot right click and open in a new tab so that you don't lose your list of records you just imported and you can go back to it - someone asked today why it wasn't the default to open in a new tab ... maybe this could be an option - maybe two links - one for new tab, one for current window? Or a sys pref? Or a new default?

I'm open to discussion.
Comment 1 Katrin Fischer 2013-04-14 10:25:19 UTC
I think open in a new tab would be a good default.
Comment 2 Katrin Fischer 2013-04-14 15:13:22 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2013-04-16 14:35:24 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-06-05 09:28:46 UTC
Created attachment 18666 [details] [review]
Bug 7892: Open link to imported record in new tab

Change links to imported records to open in a new window/tab
on the staged records management page.

To test:
1) Go to Tools > Staged MARC record management
2) Open an imported batch by clicking on the file name
3) Click on bib# in the record column
4) Verify links open in a new window/tab now

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
All tests pass

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 5 Galen Charlton 2013-06-05 14:17:57 UTC
Pushed to master.  Thanks, Katrin!
Comment 6 Tomás Cohen Arazi 2013-06-10 16:10:50 UTC
This patch has been pushed to 3.12.x, will be in 3.12.1.